*,
*::before,
*::after {
    box-sizing: border-box;
}

:root {
    --gray-900: #000000;      /* noir */
    --gray-800: #1b1b1b;      /* gris super foncé */
    --gray-700: #2e2e2e;      /* texte */
    --gray-600: #5e5e5e;      /* gris foncé */
    --gray-500: #b1b1b1;      /* gris moyen */
    --gray-400: #dadada;      /* gris clair */
    --gray-300: #eeeeee;      /* gris léger */
    --gray-200: #f5f5f5;      /* optionnel, clair supplémentaire */
    --gray-100: #fafafa;      /* optionnel, très clair */
    
    
    --main-bg: blue;
    
    --color-gender-h: #65a4f7;
    --color-gender-f: #ce7676; 

    --role-bg: #19539f;
    
    --sidebar-bg: #0a1c32;

}



/* roboto-300 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 300;
  src: url('/assets/fonts/roboto/roboto-v50-latin-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-300italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 300;
  src: url('/assets/fonts/roboto/roboto-v50-latin-300italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url('/assets/fonts/roboto/roboto-v50-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 400;
  src: url('/assets/fonts/roboto/roboto-v50-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 500;
  src: url('/assets/fonts/roboto/roboto-v50-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-500italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 500;
  src: url('/assets/fonts/roboto/roboto-v50-latin-500italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 600;
  src: url('/assets/fonts/roboto/roboto-v50-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-600italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 600;
  src: url('/assets/fonts/roboto/roboto-v50-latin-600italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 700;
  src: url('/assets/fonts/roboto/roboto-v50-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-700italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 700;
  src: url('/assets/fonts/roboto/roboto-v50-latin-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-900 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 900;
  src: url('/assets/fonts/roboto/roboto-v50-latin-900.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-900italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 900;
  src: url('/assets/fonts/roboto/roboto-v50-latin-900italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

body {
    font-family: 'Roboto', sans-serif;
}

/* header */
.header {
    display: grid;
    grid-template-columns: auto 1fr 1fr;
    height: 50px;
    align-items: center;
    font-size: 0.75rem;
    color: #fff;
    background-color: var(--role-bg);
}
.header-brand {
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 0 12px;
    width: 249px;
    border-right: 1px solid;
}
.header-brand_logo {
    width: 230px;
    height: 40px;
    background-position: left;
    background-repeat: no-repeat;
    background-image: url("/assets/logo/credential_final_blanc.svg");
}
.header-brand_title {
    display: none;
}
.header-menu {
    display: none;
}
.header-button-menu {
    grid-column: 3;
    justify-self: end;
    margin: 0 12px;
}
.mobile-menu {
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 12px;
    font-size: 0.75rem;
    color: #fff;
}
.mobile-menu .i-icon {
    color: #fff;
}

.menu-item {
    position: relative;
    display: flex;
    justify-self: end;
    align-items: center;
    gap: 2px;
    color: #fff;
    text-decoration: none;
    cursor: pointer;
}
.menu-item:not(:last-child)::after {
    content: '';
    position: absolute;
    right: -12px;
    top: 50%;
    height: 100%;
    width: 1px;
    background: #fff;
    transform: translateY(-50%); /* centre verticalement */
}
.header .i-icon {
    color: #fff;
}
@media (min-width: 992px) {
    .header {
        display: grid;
        grid-template-columns: auto 200px 1fr;
        background-color: var(--role-bg);
        height: 50px;
    }
    .header-brand {
        grid-column: 1;
    }
    .header-role {
        grid-column: 2;
    }
    .header-menu {
        grid-column: 3;
        justify-content: flex-end;
        display: flex;
        align-items: center;
        gap: 22px;
        margin: 0 12px;
    }
    .header-brand_title {
        display: inline-block;
        font-weight: bold;
        font-size: 1.15rem;
    }
    .header-button-menu {
        display: none;
    }
    .mobile-menu {
        display: none;
    }
}

/* layout */
.app-container {
    position: relative;
    width: 100%;
    height: calc(100vh - 50px);
    display: flex;
}

.app-container[page="forget_pass"],
.app-container[page="login"],
.app-container[page="signin"],
.app-container[page="logout"] {
    height: 100vh;
}
.app-sidebar {
    position: absolute;
    top: 0px;
    left: -768px;
    right: 0px;
    height: 100%;
    width: 75%;
    overflow-y: auto;
    padding: 1rem;
    /*background-color: #ede8e8;*/
    background-color: var(--sidebar-bg);
    transition: 0.3s;
    z-index: 25;
}
.app-sidebar.active {
    left: 0px;
}
.app-main {
    position: relative;
    height: 100%;
    flex: 1;
    overflow-y: auto;
    background-color: #f5f6f7;
}
.app-sidebar li {
    list-style-type: none;
}
[page="users"] .app-main,
[page="dashboard"] .app-main,
[page="identity"] .app-main,
[page="account"] .app-main {
    background-color: var(--main-bg);
}
@media (min-width: 992px) {
    .app-sidebar.active,
    .app-sidebar {
        position: relative;
        top: 0px;
        left: 0px;
        right: 0px;
        bottom: 0px;

        height: 100%;
        width: 260px;
    }
}

/* sidebar */
[data-action="close-sidebar"] {
    margin: 12px 20px;
    display: flex;
    justify-content: end;
}
.sidebar-list {
    margin: 0;
    margin-top: 50px;
    padding: 0;

}
.sidebar-item {
    list-style-type: none;
    margin-bottom: 22px;
    padding: 12px 0px;
}

.sidebar-list-level-1 li {
    text-transform: uppercase;
}
.sidebar-list-level-2 li {
    text-transform: initial;
}

.sidebar-item a {
    display: flex;
    align-items: center;
    gap: 2px;
    padding: 12px 0px;
    text-decoration: none;
    color: #fff;
}
.sidebar-item > a {
    border-bottom: 1px solid;
    border-color: #fff;
}
.sidebar-item .i-icon {
    color: #ecaf1b;
}
.text-tertiary {
    color: #ecaf1b;
}
@media (min-width: 992px) {
    [data-action="close-sidebar"] {
        display: none;
    }
}
/* icon (svg) */

.i-icon {
    display: inline-block;
    width: 22px;
    height: 22px;
    background-repeat: no-repeat;
    cursor: pointer;
}


.i-icon {
    color: #007fff;
}
/* icon avec mask */
.btn-i-mask {
    display: inline-flex;
    min-width: 28px;
    min-height: 28px;
    justify-content: center;
    align-items: center;
    border-radius: 0.25rem;
    border: 1px solid transparent;
    font-weight: 400;
    line-height: 1.5;
    box-shadow:  inset 0 1px 0 rgba(255, 255, 255, 0.15),0 1px 1px rgba(0, 0, 0, 0.075);
    cursor: pointer;

    font-family: var(--bs-btn-font-family);
    font-size: var(--bs-btn-font-size);
    font-weight: var(--bs-btn-font-weight);
    color: var(--bs-btn-color);
    border: var(--bs-btn-border-width) solid var(--bs-btn-border-color);

    background-color: var(--bs-btn-bg);
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.btn-table-i-mask {
    display: inline-flex;
    min-width: 28px;
    min-height: 28px;
    justify-content: center;
    align-items: center;
    border-radius: 0.25rem;
    border: 1px solid transparent;
    font-weight: 400;
    line-height: 1.5;
    box-shadow:  inset 0 1px 0 rgba(255, 255, 255, 0.15),0 1px 1px rgba(0, 0, 0, 0.075);
    cursor: pointer;

    font-family: var(--bs-btn-font-family);
    font-size: var(--bs-btn-font-size);
    font-weight: var(--bs-btn-font-weight);
    color: var(--bs-btn-color);
    border: var(--bs-btn-border-width) solid var(--bs-btn-border-color);

    background-color: var(--bs-btn-bg);
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.i-mask {
    width: 100%;
    height: 100%;
    display: inline-block;
    background-color: currentColor;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-position: center;
    mask-position: center;
    -webkit-mask-size: contain;
    mask-size: contain;
    vertical-align: middle;
}
.i-mask-md {
    width: 1.2rem;
    height: 1.2rem;
}
.i-mask-lg {
    width: 1.5rem;
    height: 1.5rem;
}
.i-mask-xl {
    width: 2rem;
    height: 2rem;
}
.i-mask-rem-4 {
    width: 4rem;
    height: 4rem;
}
.i-mask-edit {
    -webkit-mask-image: url("/assets/svg/icon/edit.svg");
    mask-image: url("/assets/svg/icon/edit.svg");
}
.i-mask-check-circle {
    -webkit-mask-image: url("/assets/svg/icon/check-circle.svg");
    mask-image: url("/assets/svg/icon/check-circle.svg");
}
.i-mask-create {
    -webkit-mask-image: url("/assets/svg/icon/create.svg");
    mask-image: url("/assets/svg/icon/create.svg");
}
.i-mask-validate {
    -webkit-mask-image: url("/assets/svg/icon/validate.svg");
    mask-image: url("/assets/svg/icon/validate.svg");
}
.i-mask-x-circle {
    -webkit-mask-image: url("/assets/svg/icon/x-circle.svg");
    mask-image: url("/assets/svg/icon/x-circle.svg");
}
.i-mask-user {
    -webkit-mask-image: url("/assets/svg/icon/user.svg");
    mask-image: url("/assets/svg/icon/user.svg");
}
.i-mask-arrows-rotate {
    -webkit-mask-image: url("/assets/svg/icon/arrows-rotate.svg");
    mask-image: url("/assets/svg/icon/arrows-rotate.svg");
}
.i-mask-arrow-up {
    -webkit-mask-image: url("/assets/svg/icon/arrow-up.svg");
    mask-image: url("/assets/svg/icon/arrow-up.svg");
}
.i-mask-arrow-down {
    -webkit-mask-image: url("/assets/svg/icon/arrow-down.svg");
    mask-image: url("/assets/svg/icon/arrow-down.svg");
}
.i-mask-disk {
    -webkit-mask-image: url("/assets/svg/icon/disk.svg");
    mask-image: url("/assets/svg/icon/disk.svg");
}
.i-mask-check {
    -webkit-mask-image: url("/assets/svg/icon/check.svg");
    mask-image: url("/assets/svg/icon/check.svg");
}
.i-mask-draft {
    -webkit-mask-image: url("/assets/svg/icon/draft.svg");
    mask-image: url("/assets/svg/icon/draft.svg");
}
.i-mask-eye {
    -webkit-mask-image: url("/assets/svg/icon/eye.svg");
    mask-image: url("/assets/svg/icon/eye.svg");
}
.i-mask-arrow-up-down {
    -webkit-mask-image: url("/assets/svg/icon/arrow-up-down.svg");
    mask-image: url("/assets/svg/icon/arrow-up-down.svg");
}
.i-mask-delete {
    -webkit-mask-image: url("/assets/svg/icon/delete.svg");
    mask-image: url("/assets/svg/icon/delete.svg");
}
.i-mask-circle-question {
    -webkit-mask-image: url("/assets/svg/icon/circle-question.svg");
    mask-image: url("/assets/svg/icon/circle-question.svg");
}
.i-mask-comment {
    -webkit-mask-image: url("/assets/svg/icon/comment.svg");
    mask-image: url("/assets/svg/icon/comment.svg");
}
.i-mask-download {
    -webkit-mask-image: url("/assets/svg/icon/download.svg");
    mask-image: url("/assets/svg/icon/download.svg");
}
.i-mask-filter {
    -webkit-mask-image: url("/assets/svg/icon/filter.svg");
    mask-image: url("/assets/svg/icon/filter.svg");
}
.i-mask-gear {
    -webkit-mask-image: url("/assets/svg/icon/gear.svg");
    mask-image: url("/assets/svg/icon/gear.svg");
}
.i-mask-magnifying {
    -webkit-mask-image: url("/assets/svg/icon/magnifying.svg");
    mask-image: url("/assets/svg/icon/magnifying.svg");
}
.i-mask-exclamation-circle {
    -webkit-mask-image: url("/assets/svg/icon/exclamation-circle.svg");
    mask-image: url("/assets/svg/icon/exclamation-circle.svg");
}
.i-mask-angle-left {
    -webkit-mask-image: url("/assets/svg/icon/angle-left.svg");
    mask-image: url("/assets/svg/icon/angle-left.svg");
}
.i-mask-angle-right {
    -webkit-mask-image: url("/assets/svg/icon/angle-right.svg");
    mask-image: url("/assets/svg/icon/angle-right.svg");
}
.i-mask-plus-circle {
    -webkit-mask-image: url("/assets/svg/icon/plus-circle.svg");
    mask-image: url("/assets/svg/icon/plus-circle.svg");
}
.i-mask-file-invoice {
    -webkit-mask-image: url("/assets/svg/icon/file-invoice.svg");
    mask-image: url("/assets/svg/icon/file-invoice.svg");
}
.i-mask-envelope-open-text {
    -webkit-mask-image: url("/assets/svg/icon/envelope-open-text.svg");
    mask-image: url("/assets/svg/icon/envelope-open-text.svg");
}
.i-mask-drivers-licence {
    -webkit-mask-image: url("/assets/svg/icon/drivers-licence.svg");
    mask-image: url("/assets/svg/icon/drivers-licence.svg");
}
.i-mask-pdf {
    -webkit-mask-image: url("/assets/svg/icon/pdf.svg");
    mask-image: url("/assets/svg/icon/pdf.svg");
}
.i-mask-map-pin-line-fill {
    -webkit-mask-image: url("/assets/svg/icon/map-pin-line-fill.svg");
    mask-image: url("/assets/svg/icon/map-pin-line-fill.svg");
}
.i-mask-calendar-check-fill {
    -webkit-mask-image: url("/assets/svg/icon/calendar-check-fill.svg");
    mask-image: url("/assets/svg/icon/calendar-check-fill.svg");
}
.i-mask-calendar-x-fill {
    -webkit-mask-image: url("/assets/svg/icon/calendar-x-fill.svg");
    mask-image: url("/assets/svg/icon/calendar-x-fill.svg");
}
.i-mask-plus {
    -webkit-mask-image: url("/assets/svg/icon/plus.svg");
    mask-image: url("/assets/svg/icon/plus.svg");
}
.i-mask-warning {
    -webkit-mask-image: url("/assets/svg/icon/warning.svg");
    mask-image: url("/assets/svg/icon/warning.svg");
}
.i-mask-xmark {
    -webkit-mask-image: url("/assets/svg/icon/xmark.svg");
    mask-image: url("/assets/svg/icon/xmark.svg");
}
.i-mask-bars {
    -webkit-mask-image: url("/assets/svg/icon/bars.svg");
    mask-image: url("/assets/svg/icon/bars.svg");
}
.i-mask-users-three {
    -webkit-mask-image: url("/assets/svg/icon/users-three.svg");
    mask-image: url("/assets/svg/icon/users-three.svg");
}
.i-mask-clipboard-text {
    -webkit-mask-image: url("/assets/svg/icon/clipboard-text.svg");
    mask-image: url("/assets/svg/icon/clipboard-text.svg");
}
.i-mask-gauge {
    -webkit-mask-image: url("/assets/svg/icon/gauge.svg");
    mask-image: url("/assets/svg/icon/gauge.svg");
}
.i-mask-caret-up {
    -webkit-mask-image: url("/assets/svg/icon/caret-up.svg");
    mask-image: url("/assets/svg/icon/caret-up.svg");
}
.i-mask-caret-down {
    -webkit-mask-image: url("/assets/svg/icon/caret-down.svg");
    mask-image: url("/assets/svg/icon/caret-down.svg");
}
.i-mask-user-circle {
    -webkit-mask-image: url("/assets/svg/icon/user-circle.svg");
    mask-image: url("/assets/svg/icon/user-circle.svg");
}
.i-mask-user-circle-alt {
    -webkit-mask-image: url("/assets/svg/icon/user-circle-alt.svg");
    mask-image: url("/assets/svg/icon/user-circle-alt.svg");
}
.i-mask-basket {
    -webkit-mask-image: url("/assets/svg/icon/basket.svg");
    mask-image: url("/assets/svg/icon/basket.svg");
}
.i-mask-arrow-square-in {
    -webkit-mask-image: url("/assets/svg/icon/arrow-square-in.svg");
    mask-image: url("/assets/svg/icon/arrow-square-in.svg");
}
.i-mask-share-alt {
    -webkit-mask-image: url("/assets/svg/icon/share-alt.svg");
    mask-image: url("/assets/svg/icon/share-alt.svg");
}
.i-mask-list-squares {
    -webkit-mask-image: url("/assets/svg/icon/list-squares.svg");
    mask-image: url("/assets/svg/icon/list-squares.svg");
}
.i-mask-qrcode {
    -webkit-mask-image: url("/assets/svg/icon/qrcode.svg");
    mask-image: url("/assets/svg/icon/qrcode.svg");
}
/* icon symbol */
.i-symbol {
    width: 100%;
    height: 100%;
    display: inline-block;
    color: inherit;
}
.i-symbol-lg {
    width: 1.5rem;
    height: 1.5rem;
}
.i-symbol-md {
    width: 1.2rem;
    height: 1.2rem;
}
.i-symbol-sm {
    width: 0.875rem;
    height: 0.875rem;
}

@media (min-width: 768px) { /* md */
    .w-md-100 {
        width: 100% !important;
    }
}



/* ---------- */
.default-connexion-bg {
    background-image: url('/assets/img/chartres_auth.webp');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    flex-basis: 50%; /* 50% sur desktop */
    min-height: 100vh;
}
.block-connexion {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
@media (min-width: 992px) { /* lg */
    .block-connexion {
        background: #ffffff;
    }
}
/* ---------- */
.view-title {
    font-size: 1.25rem;
    font-weight: bold;
    margin-bottom: 1rem;
}

@media (min-width: 768px) {
    .view-title {
        font-size: 1.5rem;
    }
}
@media (min-width: 992px) {
    .view-title {
        font-size: 2rem;
    }
}

.view-content {
    position: relative;
    margin-bottom: 1rem;
    padding: 1.5rem 1rem;
    background: #fff;
    border-radius: 0.375rem;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.07);
}
.view-hr {
    opacity: 0.15;
    margin: 1.5rem 0;
}
.view-content-languette {
    margin-top: 1rem;
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    display: inline-block;
    padding: 4px 12px;
    border-top-left-radius: 0.25rem;
    border-top-right-radius: 0.25rem;
}
@media (min-width: 768px) { /* lg */
    .view-content {
        padding: 1.5rem;
        background: #fff;
        border-radius: 0.375rem;
    }
}
.b-top-left-radius-none {
    border-top-left-radius: 0rem;
}
.view-content .form-select,
.view-content .form-control {
    color: #848484;
}

.one_line div.form-check {
    margin-left: 20px;
}
.one_line {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    align-content: center;
}
.show_password {
    position: absolute;
    right: 20px;
    bottom: 8px;
    cursor: pointer;
}

/* branding */
.branding-auth {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    color: #19539f;
}
.branding-auth .branding-logo {
    width: 250px;
    height: 70px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    background-image: url("/assets/logo/credential_final_bleu.svg");
}
.branding-auth .branding-compagny {
    font-weight: bold;
    font-size: 1.5rem;
}

.box-shadow-sm {
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.07);
}
.w-30 {
    width: 30%;
}

.shopIndicateurExpired {
    margin-bottom: 1rem;
    padding: 0.5rem;
    display: inline-flex;
    align-items: center;
    gap: 5px;
    font-size: 0.7rem;
    font-weight: bold;
    border: 1px dashed;
    border-radius: 0.375rem;
}

/* ----- */
.dots {
    display: inline-block;
    width: 8px;
    height: 8px;
    border-radius: 50%
}
.dots[data-gender="1"] {
     background: var(--color-gender-h);
}
.dots[data-gender="2"],
.dots[data-gender="3"] {
     background: var(--color-gender-f);
}

/* ----- table - datatable */
.changePlaceTfoot {
    display: table-header-group;
}
.control-filter-item label, 
.control-menu-column-item label{
    font-weight: normal;
    cursor: pointer;
}
.dp-control,
#dropdownControlFilterStatus, 
#dropdownControlCol {
    padding: 5px;
}
.dp-control::after,
#dropdownControlFilterStatus::after, 
#dropdownControlCol::after {
    display: none;
}

/* ----- */ 
.contain-table-role {
    border-radius: 0.375rem;
    overflow-x: auto !important;
}
.contain-table-role .dt-layout-row {
    margin: 0px!important;
}
.contain-table-role thead th {
    background: var(--role-bg);
    color: #fff;
}
.contain-table-role table th,
.contain-table-role table td {
    padding: 1rem!important;
}
.contain-table-role th,
.contain-table-role td {
    vertical-align: middle;
}
.contain-table-role table {
    border-collapse: collapse;
    width: 100%;
}
.contain-table-role th,
.contain-table-role td {
    border: 1px solid #ddd;
}
